summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorP. J. McDermott <pj@pehjota.net>2017-07-22 18:41:30 (EDT)
committer P. J. McDermott <pj@pehjota.net>2017-07-22 18:41:30 (EDT)
commitfd9cec7179acb5e0ab5935aeb04e2afd1f362f39 (patch)
tree9e3ced674086014608d9491aaaa7563bae9a8b20 /scripts
parentba359882b2e9b02c3da70e75361830c59b674c75 (diff)
scripts/update-license-notice.sh: New file (doesn't work)
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/update-license-notice.sh54
1 files changed, 54 insertions, 0 deletions
diff --git a/scripts/update-license-notice.sh b/scripts/update-license-notice.sh
new file mode 100755
index 0000000..80b2ff8
--- /dev/null
+++ b/scripts/update-license-notice.sh
@@ -0,0 +1,54 @@
+#!/bin/sh
+#
+# This file is part of the ProteanOS Archive Manager.
+#
+# The ProteanOS Archive Manager is free software: you can redistribute
+# it and/or modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation, either version 3 of the
+# License, or (at your option) any later version.
+#
+# The ProteanOS Archive Manager is distributed in the hope that it
+# will be useful, but WITHOUT ANY WARRANTY; without even the implied
+# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
+# See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with the ProteanOS Archive Manager. If not, see
+# <http://www.gnu.org/licenses/>.
+
+set -eu
+
+cat >license-notice.txt <<-'EOF'
+ # This file is part of the ProteanOS Archive Manager.
+ #
+ # The ProteanOS Archive Manager is free software: you can redistribute
+ # it and/or modify it under the terms of the GNU General Public License
+ # as published by the Free Software Foundation, either version 3 of the
+ # License, or (at your option) any later version.
+ #
+ # The ProteanOS Archive Manager is distributed in the hope that it
+ # will be useful, but WITHOUT ANY WARRANTY; without even the implied
+ # warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
+ # See the GNU General Public License for more details.
+ #
+ # You should have received a copy of the GNU General Public License
+ # along with the ProteanOS Archive Manager. If not, see
+ # <http://www.gnu.org/licenses/>.
+ EOF
+
+if [ ${#} -eq 0 ]; then
+ printf 'Usage: %s <file>...\n' "${0}" >&2
+fi
+
+gnu_lic_url='<http:\/\/www.gnu.org\/licenses\/>'
+for file in "${@}"; do
+ sed '
+ /This program is free software:/,/'"${gnu_lic_url}"'/{
+ d
+ r license-notice.txt
+ }
+ ' "${file}" >"${file}~"
+ mv "${file}~" "${file}"
+done
+
+rm -f license-notice.txt